
Infrastructure - Task #3665

Use independent service for debian configuration information

2013-03-15 17:06 - Robert Waltz

Status: Closed Start date: 2013-03-15

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2013.22-Block.3.3   

Milestone: CCI-1.1.2 Story Points:  

Product Version: *   

Description

The debian configuration relies upon property files that are included in the dataone-cn-os-core debian package.  The configuration

information should be published through an independent service, a web endpoint,ldap service or other database. This will allow us to

update existing installations by running dpkg-reconfigure instead of having to re-install a new package to the servers, esp for

recognizing new machines in an environment 

History

#1 - 2013-06-05 05:00 - Robert Waltz

- Status changed from New to In Progress

- Target version changed from 2013.14-Block.2.3 to 2013.22-Block.3.3

#2 - 2013-07-25 16:36 - Robert Waltz

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
